def FormatFcstDateTm():
    if param.datepart == None or param.datepart == '' or  param.datepart == 'N-O-T-S-E-T' or param.timepart == None or param.timepart == '' or  param.timepart == 'N-O-T-S-E-T':
        s = ''
    else:
        t = param.datepart + param.timepart
        s = time.strftime(param.outputFmt, time.strptime(t, param.inputFmt))
    return s
def FormatFcstNightTm():
    if param.datepart == None or param.datepart == '' or  param.datepart == 'N-O-T-S-E-T':
        s = ''
    else:
        t = param.datepart + "190000"
        s = time.strftime(param.outputFmt, time.strptime(t, param.inputFmt))
    return s
def FormatFcstDayTm():
    if param.datepart == None or param.datepart == '' or  param.datepart == 'N-O-T-S-E-T':
        s = ''
    else:
        t = param.datepart + "070000"
        s = time.strftime(param.outputFmt, time.strptime(t, param.inputFmt))
    return s
	
def FormatProcTm():
    if param.datepart == None or param.datepart == '' or  param.datepart == 'N-O-T-S-E-T':
        s = ''
    else:
        l = len(param.datepart) - 5
        s = time.strftime(param.outputFmt, time.strptime(param.datepart[0:l], param.inputFmt))
    return s
    
def FormatDateTmStr():
    if param.dateTm == None or param.dateTm == '' or  param.dateTm == 'N-O-T-S-E-T':
        s = ''
    else:
        s = time.strftime(param.outputFmt, time.strptime(param.dateTm, param.inputFmt))
    return s